Bug 1009553 - (CVE-2013-4356) CVE-2013-4356 Kernel: Xen: Xsa-64: memory leak by 64bit PV guests under live migration
CVE-2013-4356 Kernel: Xen: Xsa-64: memory leak by 64bit PV guests under live ...
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20130930,reported=2...
: Security
Depends On: 1013748
Blocks: 1009004
  Show dependency treegraph
 
Reported: 2013-09-18 11:32 EDT by Prasad J Pandit
Modified: 2016-03-04 06:08 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-30 13:07:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Prasad J Pandit 2013-09-18 11:32:26 EDT
On some hardware, during live migration of 64-bit PV guests, some
parts of the guest's shadow pagetables are mistakenly filled in with
hypervisor mappings. This causes Xen to crash when those mappings are
later cleared. Before the crash, a malicious guest could use
hypercalls to cause Xen to read and write the parts of memory pointed
to by the stray mappings.

A malicious 64-bit PV guest, on a vulnerable host system, that can arrange for
itself to be live migrated could use this flaw to read or write memory at the
high physical addresses on the host.

Acknowledgements:

Red Hat would like to thank the Xen project for reporting this issue.
Comment 1 Prasad J Pandit 2013-09-18 11:37:02 EDT
Statement:

This issue does not affect the versions of the kernel-xen package as shipped with Red Hat Enterprise Linux 5.

This issue does not affect the versions of the Linux kernel package as shipped with Red Hat Enterprise Linux 6 and Red Hat Enterprise MRG as it does not have support for Xen hypervisor.
Comment 4 Vincent Danen 2013-09-30 13:07:21 EDT
This is now public:

http://www.openwall.com/lists/oss-security/2013/09/30/2
Comment 5 Vincent Danen 2013-09-30 13:13:28 EDT
Created xen tracking bugs for this issue:

Affects: fedora-all [bug 1013748]

Note You need to log in before you can comment on or make changes to this bug.